GET
/
v1
/
teams
/
{teamId}
/
content
/
render-jobs
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.listContentRenderJobs({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  query: {},
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "artifactRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "renderJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "outputAssetIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "payloadRevision": 123,
      "creativeHash": "<string>",
      "outputWidth": 123,
      "outputHeight": 123,
      "slideCount": 123,
      "createdAt": "<string>",
      "startedAt": "<string>",
      "completedAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Query Parameters

limit
string

a string to be decoded into a number

cursor
string

a string at most 2048 character(s) long

Required string length: 1 - 2048
status
enum<string>

Filter by an exact queue status, active work, or finished work. Omit to list every status.

Available options:
queued,
running,
repairing,
pre_render_complete,
paused,
cancel_requested,
succeeded,
failed,
cancelled,
superseded,
queued,
validating,
rendering,
uploading,
succeeded,
failed,
cancel_requested,
cancelled,
superseded,
active,
finished

Response

ListContentRenderJobsResponse

data
object[]
required
total
integer
required

a non-negative number

Required range: x >= 0
nextCursor
string | null
required
prevCursor
string | null
required